package com.yovinchen.xlcs.user.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yovinchen.xlcs.model.user.Leader;
import com.yovinchen.xlcs.user.mapper.LeaderMapper;
import com.yovinchen.xlcs.user.service.LeaderService;
import com.yovinchen.xlcs.vo.user.LeaderQueryVo;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import org.springframework.util.StringUtils;

/**
 * <p>
 * 配送员 服务实现类
 * </p>
 *
 * @author yovinchen
 * @since 2024-01-30
 */
@Slf4j
@Service
public class LeaderServiceImpl extends ServiceImpl<LeaderMapper, Leader> implements LeaderService {

    /**
     * 分页查询配送员
     *
     * @param pageParam
     * @param leaderQueryVo
     * @return
     */
    @Override
    public IPage<Leader> selectPage(Page<Leader> pageParam, LeaderQueryVo leaderQueryVo) {
        log.info("获取配送员分页列表入参{}", pageParam.toString() + leaderQueryVo.toString());
        LambdaQueryWrapper<Leader> wrapper = new LambdaQueryWrapper<>();
        String keyword = leaderQueryVo.getKeyword();
        if (!StringUtils.isEmpty(keyword)) {
            //封装条件
            wrapper.like(Leader::getName, keyword);
        }
        return baseMapper.selectPage(pageParam, wrapper);
    }
}
